
Foreman - Feature #12736

Update fedora build to use fedora 22 instead of fedora 19

12/07/2015 05:00 PM - Neil Katin

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman releases are currently compiled against fedora 19, which has been obsoleted for over a year.

The current minimum fedora release that is supported is 22.

I would like to suggest that foreman be packaged against a more recent release than f19.

Related issues:

Is duplicate of Packaging - Tracker #7229: Support installation on Fedora 21,... Closed 08/22/2014

History

#1 - 12/08/2015 02:53 AM - Dominic Cleal

- Is duplicate of Tracker #7229: Support installation on Fedora 21, drop Fedora 19 added

#2 - 12/08/2015 02:54 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we're tracking this under #7229 and linked tickets.

It's currently stuck on Fedora 19 because the version of Rails that's in the OS is the only version we support, Foreman can't run on newer versions. 

There's some work underway to update it to Rails 4.1 which will get us to Fedora 21 and hopefully push on from there.
